[arch-commits] Commit in nodejs/repos (3 files)

Felix Yan felixonmars at archlinux.org
Tue Jul 9 15:26:26 UTC 2019


    Date: Tuesday, July 9, 2019 @ 15:26:24
  Author: felixonmars
Revision: 487788

archrelease: copy trunk to community-testing-x86_64

Added:
  nodejs/repos/community-testing-x86_64/
  nodejs/repos/community-testing-x86_64/PKGBUILD
    (from rev 487787, nodejs/trunk/PKGBUILD)
  nodejs/repos/community-testing-x86_64/rebuild.list
    (from rev 487787, nodejs/trunk/rebuild.list)

--------------+
 PKGBUILD     |   72 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 rebuild.list |    2 +
 2 files changed, 74 insertions(+)

Copied: nodejs/repos/community-testing-x86_64/PKGBUILD (from rev 487787, nodejs/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD	                        (rev 0)
+++ community-testing-x86_64/PKGBUILD	2019-07-09 15:26:24 UTC (rev 487788)
@@ -0,0 +1,72 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.campos at gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyicui at gmail.com>
+
+pkgname=nodejs
+pkgver=12.6.0
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript'
+arch=('x86_64')
+url='https://nodejs.org/'
+license=('MIT')
+depends=('openssl' 'zlib' 'icu' 'libuv' 'c-ares' 'libnghttp2') # 'http-parser' 'v8')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+source=("nodejs-$pkgver.tar.gz::https://github.com/nodejs/node/archive/v$pkgver.tar.gz")
+sha512sums=('31edba94017206c9ac26d6c89871ccb1d62d9b5ff1aae278dfd167ae23eb5b4059ccb80b0dedf5deb71abeee2a65e0e74d089454070869426ebd3d67f7f2aba5')
+
+prepare() {
+  cd node-$pkgver
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+    -e 's_^#!/usr/bin/env python$_&2_' \
+    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+    -e 's_^#!/usr/bin/python$_&2_' \
+    -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
+    -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
+    -e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-$pkgver
+
+  export PYTHON=python2
+  ./configure \
+    --prefix=/usr \
+    --with-intl=system-icu \
+    --without-npm \
+    --shared-openssl \
+    --shared-zlib \
+    --shared-libuv \
+    --experimental-http-parser \
+    --shared-cares \
+    --shared-nghttp2
+    # --shared-v8
+    # --shared-http-parser
+
+  make
+}
+
+check() {
+  cd node-$pkgver
+  # Expected failure: https://github.com/nodejs/node/issues/11627
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd node-$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  install -D -m644 LICENSE \
+    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-testing-x86_64/rebuild.list (from rev 487787, nodejs/trunk/rebuild.list)
===================================================================
--- community-testing-x86_64/rebuild.list	                        (rev 0)
+++ community-testing-x86_64/rebuild.list	2019-07-09 15:26:24 UTC (rev 487788)
@@ -0,0 +1,2 @@
+apm
+bash-language-server



More information about the arch-commits mailing list